#ifndef _opciones_
#define _opciones_

#include <iostream>
using namespace std;


class Opciones {
	private:
	bool tipo;
	bool sonido;
	int tiempo;
	int numOperaciones;
	bool repetir;
	int cambiarNivel;
	int minNivel;
	int maxNivel;
	int juego;
	int torneo;
	int torneoDesbloqueado;



	public:
	Opciones();
	void setSonido();
	void setRepetir();
	void setTiempo();
	bool isSonido();
	bool isRepetir();
	bool isTipo();
	bool isJuego(int juego);
	bool isDesbloqueado(int nivel);
	void setTipo();
	void setTipo(bool tipo);
	void setMinNivel();
	void setMaxNivel();
	void setMinNivel(int nivel);
	void setMaxNivel(int nivel);
	void setNumOperaciones();
	void setAciertosNivel();
	void setAciertosNivel(int aciertos);
	void setTorneo(int torneo);
	void setJuego(int juego);
	int getAciertosNivel();
	int getNumOperaciones();
	int getMinNivel();
	int getMaxNivel();
	int getTiempo();
	int getTorneo();
	void desbloquearNivel(int nivel);

	void valoresPorDefecto();
};


#endif
